Bug 861533 - [US2597][fork]Some statements need update in the prompt message of error git clone
[US2597][fork]Some statements need update in the prompt message of error git ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 22:28 EDT by Rony Gong
Modified: 2015-05-14 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-09-28 22:28:35 EDT
Description of problem:
Since We only support clone command as rhc app git-clone q2php
and delete app command as rhc app delete q2php
so the prompt message in the error git clone need updated
change   rhc app clone q2php   to rhc app git-clone q2php
change  rhc app destroy q2php --confirm to rhc app delete q2php --confirm

Version-Release number of selected component (if applicable):
fork_ami_US2597_US259...US2817_US2872_186

How reproducible:
always

Steps to Reproduce:
1. Create a "qphp" folder in the local
2. Run: rhc app create "qphp" php-5.3
3. Show error git clone message
  
Actual results:
[qgong@localhost dev]$ rhc app create  q2php php-5.3 -s
Password: 

Creating application 'q2php'
============================

  Scaling:   yes
  Cartridge: php-5.3
  Gear Size: default
  Namespace: qgong10

Your application's domain name is being propagated worldwide (this might take a minute)...
done

Error in git clone - fatal: destination path 'q2php' already exists and is not an empty directory.

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
WARNING:  Your application was created successfully but had problems during
          configuration. Below is a list of the issues and steps you can
          take to complete the configuration of your application.

  Application URL: http://q2php-qgong10.dev.rhcloud.com/

  Issues:
    1. We were unable to clone your application's git repo - Error in git clone - fatal: destination path 'q2php' already exists and is
not an empty directory.

  Steps to complete your configuration:
    1. Clone your git repo
      $ rhc app clone q2php

  If you can't get your application 'q2php' running in the browser,
  you can try destroying and recreating the application:

    $ rhc app destroy q2php --confirm

  If this doesn't work for you, let us know in the forums or in IRC and we'll
  make sure to get you up and running.

    Forums - https://openshift.redhat.com/community/forums/openshift
    IRC - #openshift (on Freenode)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


Expected results:


Additional info:
Comment 1 Chandrika Gole 2012-10-04 16:44:31 EDT
verified this on AMI: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207 (ami-a50eb3cc)


[root@ip-10-114-57-95 ~]# rhc app create -a a1 -t php-5.3
Password: 

Creating application 'a1'
=========================

  Cartridge: php-5.3
  Scaling:   no
  Gear Size: default
  Namespace: cgoleklj

Your application's domain name is being propagated worldwide (this might take a minute)...
done

Error in git clone - fatal: destination path 'a1' already exists and is not an empty directory.

a1 @ http://a1-cgoleklj.dev.rhcloud.com/
========================================
Created: 4:41 PM
   UUID: b0a06a92a7b04893a559fb9c603b83d8
Git URL: ssh://b0a06a92a7b04893a559fb9c603b83d8@a1-cgoleklj.dev.rhcloud.com/~/git/a1.git/
SSH URL: ssh://b0a06a92a7b04893a559fb9c603b83d8@a1-cgoleklj.dev.rhcloud.com

Cartridges:
  php-5.3
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
WARNING:  Your application was created successfully but had problems during
          configuration. Below is a list of the issues and steps you can
          take to complete the configuration of your application.

  Application URL: http://a1-cgoleklj.dev.rhcloud.com/

  Issues:
    1. We were unable to clone your application's git repo - Error in git clone - fatal: destination path 'a1' already exists and is not an empty directory.

  Steps to complete your configuration:
    1. Clone your git repo
      $ rhc app git-clone a1

  If you can't get your application 'a1' running in the browser,
  you can try destroying and recreating the application:

    $ rhc app delete a1 --confirm

  If this doesn't work for you, let us know in the forums or in IRC and we'll
  make sure to get you up and running.

    Forums - https://openshift.redhat.com/community/forums/openshift
    IRC - #openshift (on Freenode)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Note You need to log in before you can comment on or make changes to this bug.